summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorElliot Lee <sopwith@src.gnome.org>1999-12-05 00:40:26 +0000
committerElliot Lee <sopwith@src.gnome.org>1999-12-05 00:40:26 +0000
commitb0a476e10d5dc128cb0a566aad1b1480bfd0a71a (patch)
treefe54f740d8be0b1c9dbad37d39b8d48926f15948 /autogen.sh
parent208adb374bf1d1653b41dfcb743ed86e8e365861 (diff)
downloadnautilus-b0a476e10d5dc128cb0a566aad1b1480bfd0a71a.tar.gz
Initial revision
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh84
1 files changed, 84 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 000000000..a64fe9558
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,84 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+PROJECT=hyperbola
+TEST_TYPE=-f
+FILE=src/gui/hyperbola-main.c
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile $PROJECT."
+ echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROJECT."
+ echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
+}
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+case $CC in
+*lcc | *lcc\ *) am_opt=--include-deps;;
+esac
+
+echo "Running gettextize... Ignore non-fatal messages."
+# Hmm, we specify --force here, since otherwise things don't
+# get added reliably, but we don't want to overwrite intl
+# while making dist.
+echo "no" | gettextize --copy --force
+
+echo "Running libtoolize"
+libtoolize --copy --force
+
+if test -n "$GNOME2_PATH"; then
+ ACLOCAL_FLAGS="-I $GNOME2_PATH/share/aclocal $ACLOCAL_FLAGS"
+fi
+
+aclocal $ACLOCAL_FLAGS
+
+# optionally feature autoheader
+(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+
+automake -a $am_opt
+autoconf
+
+cd $ORIGDIR
+
+$srcdir/configure --enable-maintainer-mode "$@"
+
+echo
+echo "Now type 'make' to compile $PROJECT."